/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package neurondemo;

import org.neuroph.core.Neuron;
import org.neuroph.core.transfer.Sigmoid;
import org.neuroph.nnet.comp.neuron.InputNeuron;



/**
 *
 * @author student1
 */
public class NeuronDemo {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
    
        InputNeuron inputNeuron = new InputNeuron();        
        Neuron neuron = new Neuron();
        neuron.addInputConnection(inputNeuron);
        neuron.setTransferFunction(new Sigmoid());
        inputNeuron.setInput(1);
        neuron.calculate();
        double out = neuron.getOutput();
        
        System.out.println("Neuron output: "+out);
    }
    
}
